'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Typography = require('@material-ui/core/Typography');

var _Typography2 = _interopRequireDefault(_Typography);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CustomErrorTemplate(props) {
    var errors = props.errors;

    return _react2.default.createElement(
        'div',
        null,
        errors.map(function (error, i) {
            return _react2.default.createElement(
                'div',
                { key: i, className: 'error-detail' },
                _react2.default.createElement(
                    _Typography2.default,
                    { variant: 'caption' },
                    error
                )
            );
        })
    );
}

CustomErrorTemplate.propTypes = process.env.NODE_ENV !== "production" ? {
    errors: _propTypes2.default.array
} : {};

CustomErrorTemplate.defaultProps = {
    errors: []
};

exports.default = CustomErrorTemplate;
module.exports = exports['default'];